petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetOptionsPrefix

Gets the prefix used for searching for all KSP options in the database.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetOptionsPrefix(KSP ksp,const char *prefix[])

Not Collective Many br

### Input Parameters

ksp -the Krylov context Many br

### Output Parameters

prefix -pointer to the prefix string used is returned Many br

Notes: On the fortran side, the user should pass in a string 'prifix' of Many brsufficient length to hold the prefix. Many br

Many br

### Keywords

KSP, set, options, prefix, database

### See Also

KSPSetOptionsPrefix(), KSPAppendOptionsPrefix()

Level:advanced
Location:src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages